List referrals
curl --request GET \
--url https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 34,
"referred_user": {
"id": 197,
"name": "Jane Cooper",
"email": "jane.cooper@example.com"
},
"referral_code": "EA763350",
"campaign": "youtube",
"status": "converted",
"conversion_count": 1,
"total_revenue": 24.99,
"converted_at": "2026-11-15T15:36:11Z",
"created_at": "2026-11-16T15:36:11Z"
}
],
"meta": {
"request_id": "d40f79ff-bb33-4fd6-b29e-ebc74fe9dd3d",
"pagination": {
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1
}
}
}Affiliates
List referrals
Users referred by the affiliate, newest first.
Permission: modules.affiliates.affiliates.read
GET
/
application
/
modules
/
affiliates
/
affiliates
/
{affiliate}
/
referrals
List referrals
curl --request GET \
--url https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/affiliates/affiliates/{affiliate}/referrals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 34,
"referred_user": {
"id": 197,
"name": "Jane Cooper",
"email": "jane.cooper@example.com"
},
"referral_code": "EA763350",
"campaign": "youtube",
"status": "converted",
"conversion_count": 1,
"total_revenue": 24.99,
"converted_at": "2026-11-15T15:36:11Z",
"created_at": "2026-11-16T15:36:11Z"
}
],
"meta": {
"request_id": "d40f79ff-bb33-4fd6-b29e-ebc74fe9dd3d",
"pagination": {
"current_page": 1,
"per_page": 1,
"total": 1,
"last_page": 1
}
}
}Authorizations
Query Parameters
Was this page helpful?

